Mensaje de error al instalar un paquete de actualizaciones .msu en un equipo que ejecuta Windows: "Debe actualizarse el instalador de módulos de Windows para poder instalar este paquete"

Síntomas

Al instalar un paquete de actualizaciones .msu en un equipo que ejecuta Windows, puede recibir el siguiente mensaje de error:
El instalador de módulos de Windows debe actualizarse para poder instalar este paquete. Actualizar al instalador de módulos de Windows en el equipo, y a continuación, intentar la instalación.
Cuando se utiliza una secuencia de comandos para instalar el paquete de actualizaciones .msu, se produce un error en la instalación. Cuando se produce este problema, el proceso de Wusa.exe devuelve código de error 0x800f0823.

Causa

Este problema se produce porque la instalación requiere una nueva versión del instalador de módulos de Windows o la pila de mantenimiento.

Solución

Para resolver este problema, utilice Windows Update para actualizar el instalador de módulos de Windows o el mantenimiento de la pila. KB 955430 -KB 2533552 -KB 2871777- KB 2919442
Sistema operativoNúmero de KB
Windows Vista y Windows Server 2008955430
Windows 7 y Windows Server 2008 R22533552
Windows 8 y Windows Server 20122871777
Windows 8.1 y Windows Server 2012 R22919442

Más información

Cuando se utiliza Windows Update, se requiere el instalador de módulos de Windows o el servicio actualización de pila. Sin embargo, cuando se instala un paquete de actualizaciones .msu, el programa de instalación no se conecta a Windows Update para actualizar el instalador de módulos de Windows o el mantenimiento de la pila.
Propiedades

Id. de artículo: 925316 - Última revisión: 9 ene. 2017 - Revisión: 1

Comentarios